List team webhooks
GET
/api/webhooksResponse
Webhook[]
required
Array of webhook objects
Create team webhook
POST
/api/webhooksRequest body
string
required
Webhook name
string
required
Delivery URL (HTTPS)
string[]
required
Event types to subscribe to
string
Signing secret for HMAC verification
Response
Webhook
required
The created webhook
Update team webhook
PATCH
/api/webhooks/:idRequest body
string
New name
string
New URL
string[]
New event types
boolean
Enable or disable
Response
Webhook
required
The updated webhook
Delete team webhook
DELETE
/api/webhooks/:idResponse
boolean
required
Always true on success
List agent webhooks
GET
/api/agents/me/webhooksResponse
Webhook[]
required
Array of webhook objects
Create agent webhook
POST
/api/agents/me/webhooksRequest body
string[]
required
Event types to subscribe to
string
required
Delivery URL (HTTP or HTTPS)
Response
Webhook
required
The created webhook
Delete agent webhook
DELETE
/api/agents/me/webhooks/:idResponse
boolean
required
Always true on success

